Subject: Re: bug#7726: reveal-mode bypassed by compile-goto-error

From: Lennart Borgman <[email-masked]>
Date: Mon, 24 Jan 2011 21:09:29 +0100

On Mon, Jan 24, 2011 at 5:12 PM, Stefan Monnier
<[email-masked]> wrote:
>>>>>> If I use compile-goto-error from a grep-mode buffer to a org-mode
>>>>>> buffer where the destination line is in a hidden outline then the
>>>>>> outline will not be revealed until after next command.
>>>>> also, goto-line is unable to reach line in an outline based buffer.
>>>>> See in anything and ioccur, it is fixed for org-mode and
>>>>> outline-minor-mode.
>>>>> Is there other modes based on outline to handle?
>>>> Anyone have a test case?
>>> I think the problem is that reveal-mode runs from post-command-hook and
>>> reveals what's in the buffer that's current when post-command-hook is
>>> run, whereas in the above cases, the buffer that needs revealing is not
>>> current at that point.
>>> That's one of the cases where we could use something like
>>> a "pre-redisplay-hook".
>> Isn't it more like post-post-command-hook?
>
> No I really meant pre-redisplay-hook.  I don't see why
> post-post-command-hook would have anything to do with this problem.
> E.g. I think a case that needs to work is when you're in the *compile*
> buffer and select one entry to display the source but while staying in
> the *compile* buffer: the current buffer before and after the command is
> *compile*, so no amount of post/pre-command-hooks can tell you that some
> other buffer needs revealing.

Oh, I see.

And haven't we been discussing before that such a hook maybe could be
useful for cases where we now are using
window-configuration-change-hook?